Subject: Re: serious bug with CYGNUS GCC b16
From: [email-masked] (Doug Evans)

5 Dec 1996 09:14:11 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked], [email-masked],
        [email-masked]
In-reply-to: <[email-masked]> ([email-masked])
Original-Sender: [email-masked]

   From: "Phillip N Toland" <[email-masked]>
   Date: Wed, 4 Dec 1996 22:39:10 -0500

   >      I don't know what the sizecommit parameter is, does somebody know ?

   The Gnat gcc options may not have anything to do with this, but if I were
   to make an educated guess...
   Under Win32 you can "reserve" memory and "commit" memory whenever you
   allocate memory.  The difference being that when you commit memory an
   actual chunk of mem is set aside, however, if it is reserved then no actual
   memory is allocated, the OS just takes note that you might need that much
   memory and actually allocates it as you request it...I think. :-)  

This is irrelevant to the topic at hand.

The question is, is there a hard limit on the size of the stack.
If there is, you can do all the stack probing you want, but you're
not going to increase the size of the stack!!!

And, as a minor correction, the "gnat gcc options" are really gnu linker
options. cygwin32 has had them for ages.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".